/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.test.http;

import javax.xml.namespace.QName;

import org.w3c.dom.Element;

import org.apache.muse.ws.resource.basefaults.BaseFault;

public class StopFailedFault extends BaseFault
{
    public static final QName STOP_FAILED_QNAME = 
        new QName(HttpServer.NAMESPACE_URI, "StopFailedFault", HttpServer.PREFIX);
    
    public StopFailedFault(Element arg0)
    {
        super(arg0);
    }

    public StopFailedFault(String arg1)
    {
        super(STOP_FAILED_QNAME, arg1);
    }

    public StopFailedFault(String arg1, Throwable arg2)
    {
        super(STOP_FAILED_QNAME, arg1, arg2);
    }

    public StopFailedFault(Throwable arg1)
    {
        super(STOP_FAILED_QNAME, arg1);
    }
}
